# List account recent orders (last 24 hours only)

GET https://api.snaptrade.com/api/v1/accounts/{accountId}/recentOrders

A lightweight endpoint that returns the latest page of orders placed in the last 24 hours in the specified account. For most brokerages, the default page size is 100 meaning the endpoint will return a max of 100 orders.
This endpoint is realtime and can be used to quickly check if account state has recently changed due to an execution, or check status of recently placed orders
Differs from /orders in that it is always realtime, and only checks the last 24 hours
By default only returns executed orders, but that can be changed by setting *only_executed* to false


Reference: https://docs.snaptrade.com/reference/Account%20Information/AccountInformation_getUserAccountRecentOrders

## Code Examples

### TypeScript

```typescript

import { Snaptrade } from "snaptrade-typescript-sdk";

const snaptrade = new Snaptrade({
  clientId: "PARTNER_CLIENT_ID",
  consumerKey: "CONSUMER_KEY",
});

const response =
  await snaptrade.accountInformation.getUserAccountRecentOrders(
    {
      accountId:
        "917c8734-8470-4a3e-a18f-57c3f2ee6631",
      userId: "snaptrade-user-123",
      userSecret:
        "adf2aa34-8219-40f7-a6b3-60156985cc61",
    },
  );
console.log(response.data);

```

### Python

```python

from pprint import pprint
from snaptrade_client import SnapTrade

snaptrade = SnapTrade(
    client_id="PARTNER_CLIENT_ID",
    consumer_key="CONSUMER_KEY"
)

response = snaptrade.account_information.get_user_account_recent_orders(
    account_id="917c8734-8470-4a3e-a18f-57c3f2ee6631",
    user_id="snaptrade-user-123",
    user_secret="adf2aa34-8219-40f7-a6b3-60156985cc61"
)
pprint(response.body)

```

## OpenAPI Specification

```yaml

openapi: 3.0.0
info:
  description: Connect brokerage accounts to your app for live positions and trading
  version: 1.0.0
  title: SnapTrade
  termsOfService: N/A
  contact:
    email: api@snaptrade.com
  x-konfig-ignore:
    potential-incorrect-type: true
  x-readme:
    explorer-enabled: false
paths:
  /accounts/{accountId}/recentOrders:
    get:
      tags:
        - Account Information
      summary: List account recent orders (last 24 hours only)
      operationId: AccountInformation_getUserAccountRecentOrders
      description: >
        A lightweight endpoint that returns the latest page of orders placed in
        the last 24 hours in the specified account. For most brokerages, the
        default page size is 100 meaning the endpoint will return a max of 100
        orders.

        This endpoint is realtime and can be used to quickly check if account
        state has recently changed due to an execution, or check status of
        recently placed orders

        Differs from /orders in that it is always realtime, and only checks the
        last 24 hours

        By default only returns executed orders, but that can be changed by
        setting *only_executed* to false
      parameters:
        - in: query
          required: true
          name: userId
          schema:
            description: >-
              SnapTrade User ID. This is chosen by the API partner and can be
              any string that is a) unique to the user, and b) immutable for the
              user. It is recommended to NOT use email addresses for this
              property because they are usually not immutable.
            type: string
            example: snaptrade-user-123
        - in: query
          required: true
          name: userSecret
          schema:
            description: >-
              SnapTrade User Secret. This is a randomly generated string and
              should be stored securely. If compromised, please rotate it via
              the [rotate user secret
              endpoint](/reference/Authentication/Authentication_resetSnapTradeUserSecret).
            type: string
            example: adf2aa34-8219-40f7-a6b3-60156985cc61
        - in: query
          name: only_executed
          description: >-
            Defaults to true. Indicates if request should fetch only executed
            orders. Set to false to retrieve non executed orders as well
          schema:
            type: boolean
        - in: path
          name: accountId
          required: true
          schema:
            description: >-
              Unique identifier for the connected brokerage account. This is the
              UUID used to reference the account in SnapTrade.
            type: string
            format: uuid
            example: 917c8734-8470-4a3e-a18f-57c3f2ee6631
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: List of orders executed within the last 24 hours
                type: object
                properties:
                  orders:
                    type: array
                    description: List of orders executed in the last 24 hours
                    items:
                      description: >-
                        Describes a single recent order in an account. Each
                        record here represents a single order leg. For multi-leg
                        orders, there will be multiple records.
                      type: object
                      properties:
                        brokerage_order_id:
                          description: >-
                            Order ID returned by brokerage. This is the unique
                            identifier for the order in the brokerage system.
                          type: string
                          example: 66a033fa-da74-4fcf-b527-feefdec9257e
                        brokerage_group_order_id:
                          description: >
                            The brokerage-assigned identifier that links all
                            orders within a complex order (OCO, OTO, OTOCO)
                            together.

                            Null for non-complex orders or when the brokerage
                            does not return a group identifier.
                          nullable: true
                          type: string
                          example: '1234567890'
                        order_role:
                          description: >
                            The role of this order within a complex order group
                            (OCO, OTO, OTOCO). Null for non-complex orders.
                          nullable: true
                          type: string
                          enum:
                            - TRIGGER
                            - CONDITIONAL
                            - PEER
                          example: TRIGGER
                        status:
                          description: >
                            Indicates the status of an order. SnapTrade does a
                            best effort to map brokerage statuses to statuses in
                            this enum.

                            Possible values include:
                              - NONE
                              - PENDING
                              - ACCEPTED
                              - FAILED
                              - REJECTED
                              - CANCELED
                              - PARTIAL_CANCELED
                              - CANCEL_PENDING
                              - EXECUTED
                              - PARTIAL
                              - REPLACE_PENDING
                              - REPLACED
                              - EXPIRED
                              - QUEUED
                              - TRIGGERED
                              - ACTIVATED
                          type: string
                          enum:
                            - NONE
                            - PENDING
                            - ACCEPTED
                            - FAILED
                            - REJECTED
                            - CANCELED
                            - PARTIAL_CANCELED
                            - CANCEL_PENDING
                            - EXECUTED
                            - PARTIAL
                            - REPLACE_PENDING
                            - REPLACED
                            - STOPPED
                            - SUSPENDED
                            - EXPIRED
                            - QUEUED
                            - TRIGGERED
                            - ACTIVATED
                            - PENDING_RISK_REVIEW
                            - CONTINGENT_ORDER
                        universal_symbol:
                          description: >-
                            Contains information about the security that the
                            order is for. This field is only present for
                            stock/ETF/crypto/mutual fund orders. For option
                            orders, this field will be null and the
                            `option_symbol` field will be populated.
                          nullable: true
                          allOf:
                            - description: >-
                                Uniquely describes a single security + exchange
                                combination across all brokerages.
                              type: object
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the symbol within
                                    SnapTrade. This is the ID used to reference
                                    the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                symbol:
                                  description: >-
                                    The security's trading ticker symbol. For
                                    example "AAPL" for Apple Inc. We largely
                                    follow the [Yahoo Finance ticker
                                    format](https://help.yahoo.com/kb/SLN2310.html)(click
                                    on "Yahoo Finance Market Coverage and Data
                                    Delays"). For example, for securities traded
                                    on the Toronto Stock Exchange, the symbol
                                    has a '.TO' suffix. For securities traded on
                                    NASDAQ or NYSE, the symbol does not have a
                                    suffix.
                                  type: string
                                  example: VAB.TO
                                raw_symbol:
                                  description: >-
                                    The raw symbol is `symbol` with the exchange
                                    suffix removed. For example, if `symbol` is
                                    "VAB.TO", then `raw_symbol` is "VAB".
                                  type: string
                                  example: VAB
                                description:
                                  description: >-
                                    A human-readable description of the
                                    security. This is usually the company name
                                    or ETF name.
                                  type: string
                                  example: VANGUARD CDN AGGREGATE BOND INDEX ETF
                                  nullable: true
                                currency:
                                  description: >-
                                    The currency in which the security is
                                    traded.
                                  allOf:
                                    - description: Describes a currency object.
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          format: uuid
                                          description: >-
                                            Unique identifier for the currency. This
                                            is the UUID used to reference the
                                            currency in SnapTrade.
                                          example: 87b24961-b51e-4db8-9226-f198f6518a89
                                        code:
                                          type: string
                                          description: >-
                                            The ISO-4217 currency code for the
                                            currency.
                                          example: USD
                                        name:
                                          type: string
                                          description: A human-friendly name of the currency.
                                          example: US Dollar
                                exchange:
                                  description: >-
                                    The exchange on which the security is listed
                                    and traded.
                                  allOf:
                                    - description: >-
                                        Describes a single stock or crypto
                                        exchange.
                                      type: object
                                      properties:
                                        id:
                                          description: Unique ID for the exchange in SnapTrade.
                                          type: string
                                          format: uuid
                                          example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                        code:
                                          description: >-
                                            A short name for the exchange. For
                                            standardized exchange code, please use
                                            the `mic_code` field.
                                          type: string
                                          example: TSX
                                        mic_code:
                                          description: >-
                                            The [Market Identifier
                                            Code](https://en.wikipedia.org/wiki/Market_Identifier_Code)
                                            (MIC) for the exchange.
                                          type: string
                                          example: XTSE
                                          nullable: true
                                        name:
                                          description: The full name of the exchange.
                                          type: string
                                          example: Toronto Stock Exchange
                                        timezone:
                                          description: >-
                                            The timezone for the trading hours
                                            (`start_time` and `close_time`) of the
                                            exchange.
                                          type: string
                                          example: America/New_York
                                        start_time:
                                          description: >-
                                            The time when the exchange opens for
                                            trading.
                                          type: string
                                          example: '09:30:00'
                                        close_time:
                                          description: >-
                                            The time when the exchange closes for
                                            trading.
                                          type: string
                                          example: '16:00:00'
                                        suffix:
                                          description: >-
                                            The suffix to be appended to the symbol
                                            when trading on this exchange. For
                                            example, the suffix for the Toronto
                                            Stock Exchange is `.TO`. See
                                            `UniversalSymbol->symbol` and
                                            `UniversalSymbol->raw_symbol` for more
                                            detail.
                                          type: string
                                          example: .TO
                                          nullable: true
                                type:
                                  type: object
                                  description: >-
                                    The type of security. For example, "Common
                                    Stock" or "ETF".
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the security type
                                        within SnapTrade. This is the ID used to
                                        reference the security type in SnapTrade
                                        API calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    code:
                                      description: >
                                        A short code representing the security
                                        type. For example, "cs" for Common
                                        Stock. Here are some common values:
                                          - `ad` - ADR
                                          - `bnd` - Bond
                                          - `cs` - Common Stock
                                          - `cef` - Closed End Fund
                                          - `crypto` - Cryptocurrency
                                          - `et` - ETF
                                          - `oef` - Open Ended Fund
                                          - `pm` - Precious Metals
                                          - `ps` - Preferred Stock
                                          - `rt` - Right
                                          - `struct` - Structured Product
                                          - `ut` - Unit
                                          - `wi` - When Issued
                                          - `wt` - Warrant
                                      type: string
                                      example: cs
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security type. For example, "Common
                                        Stock" or "ETF".
                                      type: string
                                      example: Common Stock
                                    is_supported:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: boolean
                                      example: true
                                figi_code:
                                  description: >-
                                    This identifier is unique per security per
                                    trading venue. See section 1.4.1 of the
                                    [FIGI
                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                    for more information. This value should be
                                    the same as the `figi_code` in the
                                    `figi_instrument` child property.
                                  type: string
                                  example: BBG000B9XRY4
                                  nullable: true
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                                currencies:
                                  deprecated: true
                                  description: >-
                                    This field is deprecated and should not be
                                    used. Please reach out to SnapTrade support
                                    if you have a valid use case for this.
                                  type: array
                                  items:
                                    description: Describes a currency object.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        format: uuid
                                        description: >-
                                          Unique identifier for the currency. This
                                          is the UUID used to reference the
                                          currency in SnapTrade.
                                        example: 87b24961-b51e-4db8-9226-f198f6518a89
                                      code:
                                        type: string
                                        description: >-
                                          The ISO-4217 currency code for the
                                          currency.
                                        example: USD
                                      name:
                                        type: string
                                        description: A human-friendly name of the currency.
                                        example: US Dollar
                              required:
                                - id
                                - symbol
                                - raw_symbol
                                - currency
                                - type
                                - currencies
                        option_symbol:
                          description: >-
                            Contains information about the option contract that
                            the order is for. This field is only present for
                            option orders. For stock/ETF/crypto/mutual fund
                            orders, this field will be null and the
                            `universal_symbol` field will be populated.
                          nullable: true
                          allOf:
                            - description: >-
                                Uniquely describes an option security + exchange
                                combination across all brokerages.
                              type: object
                              required:
                                - id
                                - ticker
                                - option_type
                                - strike_price
                                - expiration_date
                                - underlying_symbol
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the option symbol
                                    within SnapTrade. This is the ID used to
                                    reference the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                ticker:
                                  description: >-
                                    The [OCC
                                    symbol](https://en.wikipedia.org/wiki/Option_symbol)
                                    for the option.
                                  type: string
                                  example: AAPL  261218C00240000
                                option_type:
                                  description: The type of option. Either "CALL" or "PUT".
                                  type: string
                                  enum:
                                    - CALL
                                    - PUT
                                  example: CALL
                                strike_price:
                                  description: The option strike price.
                                  type: number
                                  example: 240
                                expiration_date:
                                  description: The option expiration date.
                                  type: string
                                  format: date
                                  example: '2026-12-18'
                                is_mini_option:
                                  description: >-
                                    Whether the option is a mini option. Mini
                                    options have 10 underlying shares per
                                    contract instead of the standard 100.
                                  type: boolean
                                  example: false
                                underlying_symbol:
                                  description: >-
                                    Symbol object for the underlying security of
                                    an option.
                                  type: object
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the symbol within
                                        SnapTrade. This is the ID used to
                                        reference the symbol in SnapTrade API
                                        calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    symbol:
                                      description: >-
                                        The security's trading ticker symbol.
                                        For example "AAPL" for Apple Inc. We
                                        largely follow the [Yahoo Finance ticker
                                        format](https://help.yahoo.com/kb/SLN2310.html)(click
                                        on "Yahoo Finance Market Coverage and
                                        Data Delays"). For example, for
                                        securities traded on the Toronto Stock
                                        Exchange, the symbol has a '.TO' suffix.
                                        For securities traded on NASDAQ or NYSE,
                                        the symbol does not have a suffix.
                                      type: string
                                      example: SPY
                                    raw_symbol:
                                      description: >-
                                        The raw symbol is `symbol` with the
                                        exchange suffix removed. For example, if
                                        `symbol` is "VAB.TO", then `raw_symbol`
                                        is "VAB".
                                      type: string
                                      example: VAB
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security. This is usually the company
                                        name or ETF name.
                                      type: string
                                      example: SPDR S&P 500 ETF Trust
                                      nullable: true
                                    currency:
                                      description: >-
                                        The currency in which the security is
                                        traded.
                                      allOf:
                                        - description: Describes a currency object.
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                              format: uuid
                                              description: >-
                                                Unique identifier for the currency. This
                                                is the UUID used to reference the
                                                currency in SnapTrade.
                                              example: 87b24961-b51e-4db8-9226-f198f6518a89
                                            code:
                                              type: string
                                              description: >-
                                                The ISO-4217 currency code for the
                                                currency.
                                              example: USD
                                            name:
                                              type: string
                                              description: A human-friendly name of the currency.
                                              example: US Dollar
                                    exchange:
                                      description: >-
                                        The exchange on which the security is
                                        listed and traded.
                                      allOf:
                                        - description: US Stock Exchange
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                              format: uuid
                                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                            code:
                                              type: string
                                              example: ARCX
                                            mic_code:
                                              type: string
                                              example: ARCA
                                              nullable: true
                                            name:
                                              type: string
                                              example: NYSE ARCA
                                            timezone:
                                              type: string
                                              example: America/New_York
                                            start_time:
                                              type: string
                                              example: '09:30:00'
                                            close_time:
                                              type: string
                                              example: '16:00:00'
                                            suffix:
                                              type: string
                                              example: None
                                              nullable: true
                                            allows_cryptocurrency_symbols:
                                              type: boolean
                                              example: false
                                    type:
                                      description: >-
                                        The type of security. For example,
                                        "Common Stock" or "ETF".
                                      allOf:
                                        - type: object
                                          description: >-
                                            The type of security. For example,
                                            "Common Stock" or "ETF".
                                          properties:
                                            id:
                                              description: >-
                                                Unique identifier for the security type
                                                within SnapTrade. This is the ID used to
                                                reference the security type in SnapTrade
                                                API calls.
                                              type: string
                                              format: uuid
                                              example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                            code:
                                              description: >
                                                A short code representing the security
                                                type. For example, "cs" for Common
                                                Stock. Here are some common values:
                                                  - `ad` - ADR
                                                  - `bnd` - Bond
                                                  - `cs` - Common Stock
                                                  - `cef` - Closed End Fund
                                                  - `crypto` - Cryptocurrency
                                                  - `et` - ETF
                                                  - `oef` - Open Ended Fund
                                                  - `pm` - Precious Metals
                                                  - `ps` - Preferred Stock
                                                  - `rt` - Right
                                                  - `struct` - Structured Product
                                                  - `ut` - Unit
                                                  - `wi` - When Issued
                                                  - `wt` - Warrant
                                              type: string
                                              example: cs
                                            description:
                                              description: >-
                                                A human-readable description of the
                                                security type. For example, "Common
                                                Stock" or "ETF".
                                              type: string
                                              example: Common Stock
                                            is_supported:
                                              deprecated: true
                                              description: >-
                                                This field is deprecated and should not
                                                be used. Please reach out to SnapTrade
                                                support if you have a valid use case for
                                                this.
                                              type: boolean
                                              example: true
                                    figi_code:
                                      description: >-
                                        This identifier is unique per security
                                        per trading venue. See section 1.4.1 of
                                        the [FIGI
                                        Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                        for more information. This value should
                                        be the same as the `figi_code` in the
                                        `figi_instrument` child property.
                                      type: string
                                      example: BBG000B9XRY4
                                      nullable: true
                                    figi_instrument:
                                      nullable: true
                                      allOf:
                                        - description: >-
                                            Financial Instrument Global Identifier
                                            (FIGI) information for the security. See
                                            [OpenFIGI](https://www.openfigi.com/)
                                            for more information.
                                          type: object
                                          properties:
                                            figi_code:
                                              description: >-
                                                This identifier is unique per security
                                                per trading venue. See section 1.4.1 of
                                                the [FIGI
                                                Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                for more information.
                                              type: string
                                              example: BBG000B9Y5X2
                                              nullable: true
                                            figi_share_class:
                                              description: >-
                                                This enables users to link multiple
                                                FIGIs for the same security in order to
                                                obtain an aggregated view across all
                                                countries and all exchanges. For
                                                example, `AAPL` has a different FIGI for
                                                each exchange/trading venue it is traded
                                                on. The `figi_share_class` is the same
                                                for all of these FIGIs. See section
                                                1.4.3 of the [FIGI
                                                Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                                for more information.
                                              type: string
                                              example: BBG001S5N8V8
                                              nullable: true
                                    currencies:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: array
                                      items:
                                        description: Describes a currency object.
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                            format: uuid
                                            description: >-
                                              Unique identifier for the currency. This
                                              is the UUID used to reference the
                                              currency in SnapTrade.
                                            example: 87b24961-b51e-4db8-9226-f198f6518a89
                                          code:
                                            type: string
                                            description: >-
                                              The ISO-4217 currency code for the
                                              currency.
                                            example: USD
                                          name:
                                            type: string
                                            description: A human-friendly name of the currency.
                                            example: US Dollar
                        quote_universal_symbol:
                          description: >-
                            Quote cryptocurrency. This field is only present for
                            cryptocurrency pair orders with a cryptocurrency as
                            quote.
                          nullable: true
                          allOf:
                            - description: >-
                                Uniquely describes a single security + exchange
                                combination across all brokerages.
                              type: object
                              properties:
                                id:
                                  description: >-
                                    Unique identifier for the symbol within
                                    SnapTrade. This is the ID used to reference
                                    the symbol in SnapTrade API calls.
                                  type: string
                                  format: uuid
                                  example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                symbol:
                                  description: >-
                                    The security's trading ticker symbol. For
                                    example "AAPL" for Apple Inc. We largely
                                    follow the [Yahoo Finance ticker
                                    format](https://help.yahoo.com/kb/SLN2310.html)(click
                                    on "Yahoo Finance Market Coverage and Data
                                    Delays"). For example, for securities traded
                                    on the Toronto Stock Exchange, the symbol
                                    has a '.TO' suffix. For securities traded on
                                    NASDAQ or NYSE, the symbol does not have a
                                    suffix.
                                  type: string
                                  example: VAB.TO
                                raw_symbol:
                                  description: >-
                                    The raw symbol is `symbol` with the exchange
                                    suffix removed. For example, if `symbol` is
                                    "VAB.TO", then `raw_symbol` is "VAB".
                                  type: string
                                  example: VAB
                                description:
                                  description: >-
                                    A human-readable description of the
                                    security. This is usually the company name
                                    or ETF name.
                                  type: string
                                  example: VANGUARD CDN AGGREGATE BOND INDEX ETF
                                  nullable: true
                                currency:
                                  description: >-
                                    The currency in which the security is
                                    traded.
                                  allOf:
                                    - description: Describes a currency object.
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          format: uuid
                                          description: >-
                                            Unique identifier for the currency. This
                                            is the UUID used to reference the
                                            currency in SnapTrade.
                                          example: 87b24961-b51e-4db8-9226-f198f6518a89
                                        code:
                                          type: string
                                          description: >-
                                            The ISO-4217 currency code for the
                                            currency.
                                          example: USD
                                        name:
                                          type: string
                                          description: A human-friendly name of the currency.
                                          example: US Dollar
                                exchange:
                                  description: >-
                                    The exchange on which the security is listed
                                    and traded.
                                  allOf:
                                    - description: >-
                                        Describes a single stock or crypto
                                        exchange.
                                      type: object
                                      properties:
                                        id:
                                          description: Unique ID for the exchange in SnapTrade.
                                          type: string
                                          format: uuid
                                          example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                        code:
                                          description: >-
                                            A short name for the exchange. For
                                            standardized exchange code, please use
                                            the `mic_code` field.
                                          type: string
                                          example: TSX
                                        mic_code:
                                          description: >-
                                            The [Market Identifier
                                            Code](https://en.wikipedia.org/wiki/Market_Identifier_Code)
                                            (MIC) for the exchange.
                                          type: string
                                          example: XTSE
                                          nullable: true
                                        name:
                                          description: The full name of the exchange.
                                          type: string
                                          example: Toronto Stock Exchange
                                        timezone:
                                          description: >-
                                            The timezone for the trading hours
                                            (`start_time` and `close_time`) of the
                                            exchange.
                                          type: string
                                          example: America/New_York
                                        start_time:
                                          description: >-
                                            The time when the exchange opens for
                                            trading.
                                          type: string
                                          example: '09:30:00'
                                        close_time:
                                          description: >-
                                            The time when the exchange closes for
                                            trading.
                                          type: string
                                          example: '16:00:00'
                                        suffix:
                                          description: >-
                                            The suffix to be appended to the symbol
                                            when trading on this exchange. For
                                            example, the suffix for the Toronto
                                            Stock Exchange is `.TO`. See
                                            `UniversalSymbol->symbol` and
                                            `UniversalSymbol->raw_symbol` for more
                                            detail.
                                          type: string
                                          example: .TO
                                          nullable: true
                                type:
                                  type: object
                                  description: >-
                                    The type of security. For example, "Common
                                    Stock" or "ETF".
                                  properties:
                                    id:
                                      description: >-
                                        Unique identifier for the security type
                                        within SnapTrade. This is the ID used to
                                        reference the security type in SnapTrade
                                        API calls.
                                      type: string
                                      format: uuid
                                      example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                                    code:
                                      description: >
                                        A short code representing the security
                                        type. For example, "cs" for Common
                                        Stock. Here are some common values:
                                          - `ad` - ADR
                                          - `bnd` - Bond
                                          - `cs` - Common Stock
                                          - `cef` - Closed End Fund
                                          - `crypto` - Cryptocurrency
                                          - `et` - ETF
                                          - `oef` - Open Ended Fund
                                          - `pm` - Precious Metals
                                          - `ps` - Preferred Stock
                                          - `rt` - Right
                                          - `struct` - Structured Product
                                          - `ut` - Unit
                                          - `wi` - When Issued
                                          - `wt` - Warrant
                                      type: string
                                      example: cs
                                    description:
                                      description: >-
                                        A human-readable description of the
                                        security type. For example, "Common
                                        Stock" or "ETF".
                                      type: string
                                      example: Common Stock
                                    is_supported:
                                      deprecated: true
                                      description: >-
                                        This field is deprecated and should not
                                        be used. Please reach out to SnapTrade
                                        support if you have a valid use case for
                                        this.
                                      type: boolean
                                      example: true
                                figi_code:
                                  description: >-
                                    This identifier is unique per security per
                                    trading venue. See section 1.4.1 of the
                                    [FIGI
                                    Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                    for more information. This value should be
                                    the same as the `figi_code` in the
                                    `figi_instrument` child property.
                                  type: string
                                  example: BBG000B9XRY4
                                  nullable: true
                                figi_instrument:
                                  nullable: true
                                  allOf:
                                    - description: >-
                                        Financial Instrument Global Identifier
                                        (FIGI) information for the security. See
                                        [OpenFIGI](https://www.openfigi.com/)
                                        for more information.
                                      type: object
                                      properties:
                                        figi_code:
                                          description: >-
                                            This identifier is unique per security
                                            per trading venue. See section 1.4.1 of
                                            the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG000B9Y5X2
                                          nullable: true
                                        figi_share_class:
                                          description: >-
                                            This enables users to link multiple
                                            FIGIs for the same security in order to
                                            obtain an aggregated view across all
                                            countries and all exchanges. For
                                            example, `AAPL` has a different FIGI for
                                            each exchange/trading venue it is traded
                                            on. The `figi_share_class` is the same
                                            for all of these FIGIs. See section
                                            1.4.3 of the [FIGI
                                            Standard](https://www.openfigi.com/assets/local/figi-allocation-rules.pdf)
                                            for more information.
                                          type: string
                                          example: BBG001S5N8V8
                                          nullable: true
                                currencies:
                                  deprecated: true
                                  description: >-
                                    This field is deprecated and should not be
                                    used. Please reach out to SnapTrade support
                                    if you have a valid use case for this.
                                  type: array
                                  items:
                                    description: Describes a currency object.
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        format: uuid
                                        description: >-
                                          Unique identifier for the currency. This
                                          is the UUID used to reference the
                                          currency in SnapTrade.
                                        example: 87b24961-b51e-4db8-9226-f198f6518a89
                                      code:
                                        type: string
                                        description: >-
                                          The ISO-4217 currency code for the
                                          currency.
                                        example: USD
                                      name:
                                        type: string
                                        description: A human-friendly name of the currency.
                                        example: US Dollar
                              required:
                                - id
                                - symbol
                                - raw_symbol
                                - currency
                                - type
                                - currencies
                        quote_currency:
                          description: >-
                            Quote currency. This field is only present for
                            cryptocurrency pair orders with a fiat currency as
                            quote.
                          nullable: true
                          allOf:
                            - description: Describes a currency object.
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: >-
                                    Unique identifier for the currency. This is
                                    the UUID used to reference the currency in
                                    SnapTrade.
                                  example: 87b24961-b51e-4db8-9226-f198f6518a89
                                code:
                                  type: string
                                  description: The ISO-4217 currency code for the currency.
                                  example: USD
                                name:
                                  type: string
                                  description: A human-friendly name of the currency.
                                  example: US Dollar
                        action:
                          type: string
                          description: >
                            The action describes the intent or side of a trade.
                            This is usually `BUY` or `SELL` but can include
                            other potential values like the following depending
                            on the specific brokerage.
                              - BUY
                              - SELL
                              - BUY_COVER
                              - SELL_SHORT
                              - BUY_OPEN
                              - BUY_CLOSE
                              - SELL_OPEN
                              - SELL_CLOSE
                        total_quantity:
                          description: >-
                            The total number of shares or contracts of the
                            order. This should be the sum of the filled,
                            canceled, and open quantities. Can be a decimal
                            number for fractional shares.
                          nullable: true
                          type: string
                          example: '100'
                        open_quantity:
                          description: >-
                            The number of shares or contracts that are still
                            open (waiting for execution). Can be a decimal
                            number for fractional shares.
                          nullable: true
                          type: string
                          example: '10'
                        canceled_quantity:
                          description: >-
                            The number of shares or contracts that have been
                            canceled. Can be a decimal number for fractional
                            shares.
                          nullable: true
                          type: string
                          example: '10'
                        filled_quantity:
                          description: >-
                            The number of shares or contracts that have been
                            filled. Can be a decimal number for fractional
                            shares.
                          nullable: true
                          type: string
                          example: '80'
                        execution_price:
                          description: >-
                            The price at which the order was executed. For
                            option orders, this represents the price per share.
                          nullable: true
                          type: string
                          format: decimal
                          example: '12.34'
                        limit_price:
                          description: >-
                            The limit price is maximum price one is willing to
                            pay for a buy order or the minimum price one is
                            willing to accept for a sell order. Should only
                            apply to `Limit` and `StopLimit` orders. For option
                            orders, this represents the price per share.
                          nullable: true
                          type: string
                          format: decimal
                          example: '12.34'
                        stop_price:
                          description: >-
                            The stop price is the price at which a stop order is
                            triggered. Should only apply to `Stop` and
                            `StopLimit` orders. For option orders, this
                            represents the price per share.
                          nullable: true
                          type: string
                          format: decimal
                          example: '12.50'
                        trailing_stop:
                          description: >-
                            For trailing stop orders, contains the trail
                            configuration. Null for all other order types.
                          nullable: true
                          allOf:
                            - description: Trail configuration for trailing stop orders.
                              type: object
                              required:
                                - amount
                                - type
                              properties:
                                amount:
                                  description: >-
                                    The trail amount. Interpreted as dollars if
                                    `type` is `DOLLAR`, or a percentage if
                                    `type` is `PERCENT`.
                                  type: string
                                  example: '0.60'
                                type:
                                  description: >-
                                    Whether the trail `amount` is a dollar
                                    amount (`DOLLAR`) or a percentage
                                    (`PERCENT`). For example, if `amount` is
                                    "0.60" and `type` is `DOLLAR`, the stop
                                    price will trail the market price by $0.60.
                                    If `amount` is "5" and `type` is `PERCENT`,
                                    the stop price will trail the market price
                                    by 5%.
                                  type: string
                                  enum:
                                    - DOLLAR
                                    - PERCENT
                        order_type:
                          description: >-
                            The type of order placed. The most common values are
                            `Market`, `Limit`, `Stop`, and `StopLimit`. We try
                            our best to map brokerage order types to these
                            values. When mapping fails, we will return the
                            brokerage's order type value.
                          nullable: true
                          type: string
                          example: Market
                        time_in_force:
                          description: >
                            The Time in Force type for the order. This field
                            indicates how long the order will remain active
                            before it is executed or expires. We try our best to
                            map brokerage time in force values to the following.
                            When mapping fails, we will return the brokerage's
                            time in force value.
                              - `Day` - Day. The order is valid only for the trading day on which it is placed.
                              - `GTC` - Good Til Canceled. The order is valid until it is executed or canceled.
                              - `FOK` - Fill Or Kill. The order must be executed in its entirety immediately or be canceled completely.
                              - `IOC` - Immediate Or Cancel. The order must be executed immediately. Any portion of the order that cannot be filled immediately will be canceled.
                              - `GTD` - Good Til Date. The order is valid until the specified date.
                              - `MOO` - Market On Open. The order is to be executed at the day's opening price.
                              - `EHP` - Extended Hours P.M. The order is to be placed during extended hour trading, after markets close.
                          type: string
                        time_placed:
                          description: >-
                            The time the order was placed. This is the time the
                            order was submitted to the brokerage.
                          type: string
                          format: date-time
                          example: '2024-07-30T22:51:49.746Z'
                        time_updated:
                          description: >-
                            The time the order was last updated in the brokerage
                            system. This value is not always available from the
                            brokerage.
                          nullable: true
                          type: string
                          format: date-time
                          example: '2024-08-05T00:05:57.409Z'
                        time_executed:
                          description: >-
                            The time the order was executed in the brokerage
                            system. This value is not always available from the
                            brokerage.
                          nullable: true
                          type: string
                          format: date-time
                          example: '2024-08-05T00:05:57.409Z'
                        expiry_date:
                          description: >-
                            The time the order expires. This value is not always
                            available from the brokerage.
                          nullable: true
                          type: string
                          format: date-time
                          example: '2024-08-05T00:05:57.409Z'
                        symbol:
                          deprecated: true
                          description: >-
                            A unique ID for the security within SnapTrade,
                            scoped to the brokerage account that the security
                            belongs to. This is a legacy field and should not be
                            used. Do not rely on this being a stable ID as it
                            can change.
                          type: string
                          format: uuid
                          example: 2bcd7cc3-e922-4976-bce1-9858296801c3
                        child_brokerage_order_ids:
                          nullable: true
                          allOf:
                            - type: object
                              properties:
                                take_profit_order_id:
                                  type: string
                                  description: >-
                                    The brokerage order ID for the take profit
                                    leg of the bracket order
                                  example: '12345678'
                                stop_loss_order_id:
                                  type: string
                                  description: >-
                                    The brokerage order ID for the stop loss leg
                                    of the bracket order
                                  example: '12345678'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                description: Example for failed request response
                type: object
                properties:
                  detail:
                    example: >-
                      Feature is not enabled for this customer or this
                      connection
                  default_code:
                    example: 1141
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                description: Example for a response that failed for unexpected reasons
                type: object
                properties:
                  detail:
                    example: Encountered an unexpected exception.
                  status_code:
                    example: 500
                  code:
                    example: 1000

```